--- src/plugins/expire/expire-plugin.c  (wersja 1343)
+++ src/plugins/expire/expire-plugin.c  (kopia robocza)
@@ -296,10 +296,12 @@
 {
        struct expire_mail_user *euser = EXPIRE_USER_CONTEXT(user);
 
-       dict_deinit(&euser->db);
-       expire_set_deinit(&euser->set);
+       if (euser != NULL) {
+           dict_deinit(&euser->db);
+           expire_set_deinit(&euser->set);
 
-       euser->module_ctx.super.deinit(user);
+           euser->module_ctx.super.deinit(user);
+       }
 }
 
 static const char *const *expire_get_patterns(struct mail_user *user)